Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 1527363003: Remove use of deprecated CFURLCreateDataAndPropertiesFromResource function. (Closed)

Created:
4 years, 11 months ago by ivanpe
Modified:
4 years, 11 months ago
CC:
google-breakpad-dev_googlegroups.com
Base URL:
https://chromium.googlesource.com/breakpad/breakpad.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Remove use of deprecated CFURLCreateDataAndPropertiesFromResource function. Patch by Scott Hancher BUG= R=mark@chromium.org Committed: https://chromium.googlesource.com/breakpad/breakpad/+/816f242158f5a7002a751a974e14e6a9ef902e31

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -12 lines) Patch
M src/client/mac/handler/minidump_generator.cc View 2 chunks +19 lines, -12 lines 0 comments Download

Messages

Total messages: 11 (3 generated)
ivanpe
4 years, 11 months ago (2015-12-16 21:36:50 UTC) #3
Mark Mentovai
LGTM, I guess. I’m surprised that you’re allowed to read this file on iOS. (I’m ...
4 years, 11 months ago (2015-12-17 22:44:47 UTC) #4
Mark Mentovai
You can also do what Apple does in the similar function (_CFCopyVersionDictionary()) in CF itself: ...
4 years, 11 months ago (2015-12-17 23:09:21 UTC) #5
seh1
On 2015/12/17 22:44:47, Mark Mentovai wrote: > LGTM, I guess. I’m surprised that you’re allowed ...
4 years, 11 months ago (2015-12-17 23:11:49 UTC) #6
seh1
On 2015/12/17 23:09:21, Mark Mentovai wrote: > You can also do what Apple does in ...
4 years, 11 months ago (2015-12-17 23:14:25 UTC) #7
Mark Mentovai
That’s right. I was just providing a less-code alternative that matches what Apple does when ...
4 years, 11 months ago (2015-12-17 23:17:44 UTC) #8
ivanpe
On 2015/12/17 23:17:44, Mark Mentovai wrote: > That’s right. I was just providing a less-code ...
4 years, 11 months ago (2015-12-18 18:25:58 UTC) #9
ivanpe
4 years, 11 months ago (2015-12-18 18:26:29 UTC) #11
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
816f242158f5a7002a751a974e14e6a9ef902e31 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698